<?php

namespace Intergo\RedisProxy;

use Illuminate\Support\ServiceProvider;

class RedisProxyServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        if (function_exists('config_path')) { // function not available and 'publish' not relevant in Lumen
            $this->publishes([__DIR__ . '/../config/redis-proxy.php' => config_path('redis-proxy.php')], 'config');
        }
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->mergeConfigFrom(__DIR__ . '/../config/redis-proxy.php', 'redis-proxy');
        $this->app->singleton(CacheProxy::class);
    }
}
